From 7323f420877675171a09b64e25ea642cb153ba65 Mon Sep 17 00:00:00 2001
From: Jonas Meurer <jonas@freesources.org>
Date: Sat, 6 Jan 2018 17:27:20 +0100
Subject: [PATCH] Add libargon2-0-udeb package for debian installer

---
 debian/changelog                |  8 ++++++++
 debian/control                  | 22 ++++++++++++++++++++++
 debian/libargon2-0-udeb.install |  2 ++
 debian/rules                    |  3 +++
 4 files changed, 35 insertions(+)
 create mode 100755 debian/libargon2-0-udeb.install

diff --git a/debian/changelog b/debian/changelog
index fdbc0b2..eb33536 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+argon2 (0~20161029-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add libargon2-0-udeb package for debian-installer. Required as
+    dependency for libcryptsetup12-udeb. (Closes: #880525)
+
+ -- Jonas Meurer <jonas@freesources.org>  Sat, 06 Jan 2018 17:54:34 +0100
+
 argon2 (0~20161029-1) unstable; urgency=medium
 
   [ Luca Bruno ]
diff --git a/debian/control b/debian/control
index 8a52bfe..0fee18e 100644
--- a/debian/control
+++ b/debian/control
@@ -72,3 +72,25 @@ Description: memory-hard hashing function - utility
   * A parallelism degree, which defines the number of parallel threads
  .
  This package contains the argon2 tool for hashing data on the command-line.
+
+Package: libargon2-0-udeb
+Section: debian-installer
+Package-Type: udeb
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: memory-hard hashing function - runtime library (udeb)
+ Argon2 is a password-hashing function that can be used to hash passwords
+ for credential storage, key derivation, or other applications.
+ .
+ There are two main versions of Argon2: Argon2i and Argon2d.
+ Argon2i is the safest against side-channel attacks, while Argon2d provides
+ the highest resistance against GPU cracking attacks.
+ .
+ Argon2i and Argon2d are parametrized by:
+  * A time cost, which defines the amount of computation realized and
+    therefore the execution time, given in number of iterations
+  * A memory cost, which defines the memory usage, given in kibibytes
+  * A parallelism degree, which defines the number of parallel threads
+ .
+ This udeb package includes the dynamic library for the Debian Installer.
diff --git a/debian/libargon2-0-udeb.install b/debian/libargon2-0-udeb.install
new file mode 100755
index 0000000..4c2c2a8
--- /dev/null
+++ b/debian/libargon2-0-udeb.install
@@ -0,0 +1,2 @@
+#!/usr/bin/dh-exec
+libargon2.so => usr/lib/${DEB_HOST_MULTIARCH}/${SONAME}
diff --git a/debian/rules b/debian/rules
index 8b31ebf..3985b1a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -25,3 +25,6 @@ override_dh_install:
 
 override_dh_auto_test:
 	-$(MAKE) -j1 test
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V --add-udeb="libargon2-0-udeb"
-- 
2.11.0

